#
#  Copyright (c) 1998, 1999, Digital Creations, Fredericksburg, VA, USA.  
#  All rights reserved.
#  
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions are
#  met:
#  
#    o Redistributions of source code must retain the above copyright
#      notice, this list of conditions, and the disclaimer that follows.
#  
#    o Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions, and the following disclaimer in
#      the documentation and/or other materials provided with the
#      distribution.
#  
#    o Neither the name of Digital Creations nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#  
#  
#  THIS SOFTWARE IS PROVIDED BY DIGITAL CREATIONS AND CONTRIBUTORS *AS
#  IS* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
#  TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
#  PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL DIGITAL
#  CREATIONS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
#  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
#  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
#  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
#  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
#  DAMAGE.
#
#  $Id: $
#
#  If you have questions regarding this software,
#  contact:
# 
#    Digital Creations L.C.  
#    info@digicool.com
# 
#    (540) 371-6909
#
##############################################################################

"""Data types for OCI"""

OCI_INTERNAL_VARCHAR=1
OCI_INTERNAL_NUMBER=2
OCI_INTERNAL_LONG=8
OCI_INTERNAL_ROWID=11
OCI_INTERNAL_DATE=12
OCI_INTERNAL_RAW=23
OCI_INTERNAL_LONG_RAW=24
OCI_INTERNAL_CHAR=96
OCI_INTERNAL_MSLABEL=105
OCI_INTERNAL_REF=111
OCI_INTERNAL_CLOB=112
OCI_INTERNAL_BLOB=113

OCI_EXTERNAL_VARCHAR2=1
OCI_EXTERNAL_NUMBER=2
OCI_EXTERNAL_INTEGER=3 # 8, 16, OR 32 BYTE
OCI_EXTERNAL_FLOAT=4
OCI_EXTERNAL_STRING=5 # NULL TERMINATES
OCI_EXTERNAL_VARNUM=6
OCI_EXTERNAL_LONG=8
OCI_EXTERNAL_VARCHAR=9
OCI_EXTERNAL_ROWID=11
OCI_EXTERNAL_DATE=12
OCI_EXTERNAL_VARRAW=15
OCI_EXTERNAL_RAW=23
OCI_EXTERNAL_LONG_RAW=24
OCI_EXTERNAL_UNSIGNED_INT=68
OCI_EXTERNAL_LONG_VARCHAR=94
OCI_EXTERNAL_LONG_VARRAW=95
OCI_EXTERNAL_CHAR=96
OCI_EXTERNAL_CHARZ=97
OCI_EXTERNAL_ROWID_DESCRIPTOR=104
OCI_EXTERNAL_MLSLABEL=106
OCI_EXTERNAL_NAMED_DATA_TYPE=108
OCI_EXTERNAL_REF=110
OCI_EXTERNAL_CLOB=112
OCI_EXTERNAL_BLOB=113
OCI_EXTERNAL_BFILE=114
